<?php

/**
 * @class m121105_160412_tbl_capacidades_profesionales
 * @var $this CDbMigration
 * @package application.migrations
 */
class m121105_160412_tbl_capacidades_profesionales extends CDbMigration {

    public function safeUp() {
        $this->createTable('tbl_capacidades_profesionales', array(
            'id' => 'pk',
            'id_categoria' => 'integer NOT NULL',
            'descripcion' => 'string NOT NULL',
        ), 'ENGINE=InnoDB CHARSET=utf8');
        
        $this->addForeignKey('fk_capacidades_profesionales_1', 'tbl_capacidades_profesionales', 'id_categoria', 'tbl_categorias_profesionales', 'id', 'CASCADE', 'CASCADE');
    }

    
    public function safeDown() {
        $this->dropForeignKey('fk_capacidades_profesionales_1', 'tbl_capacidades_profesionales');
        $this->dropTable('tbl_capacidades_profesionales');
    }

}